package com.ozs.web.controller.statisticalAnalysis;

import com.ozs.base.domain.BaseSupplier;
import com.ozs.common.core.controller.BaseController;
import com.ozs.common.core.domain.AjaxResult;
import com.ozs.common.utils.StringUtils;
import com.ozs.plan.service.PlanYearsService;
import com.ozs.pm.doman.vo.requestVo.PmDemandReqVo;
import com.ozs.pm.service.IPmDemandService;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Map;

/**
 * @author buzhanyi
 */
@RestController
@RequestMapping("/statistical")
public class StatisticalAnalysisController extends BaseController {
    @Resource
    private PlanYearsService planYearsService;
    @Resource
    private IPmDemandService pmDemandService;

    @ApiOperation(value = "执行滞后采购项目")
    @GetMapping("/demandUnit")
    public AjaxResult countProjectExceed() {
        //指本年度所有的逾期项目数
        return null;
    }

    @ApiOperation(value = "采购项目信息统计")
    @PostMapping("/purchaseProjectStatistical")
    public AjaxResult purchaseProjectStatistical(@RequestBody PmDemandReqVo pmDemandReqVo) {
        // 需求单位可查看本单位及其下属单位的统计数据
        if (StringUtils.isNull(pmDemandReqVo.getPurchaseDeptId())) {
            return error("登录账号的单位 不能为空！");
        }
        Map<String, Integer> map = pmDemandService.purchaseProjectStatistical(pmDemandReqVo);
        return success(map);
    }
}
